Gentoo Archives: gentoo-embedded

From: Vladimir Pouzanov <farcaller@×××××.com>
To: gentoo-embedded@l.g.o
Subject: [gentoo-embedded] emerge is broken?
Date: Mon, 30 Oct 2006 09:17:54
Message-Id: 9956e0d30610300116w786c7d09q24b93116df43603@mail.gmail.com
Hi all,

I'm trying to rebuild my rootfs from scratch and seems that there's
some problem with portage-2.1.2_rc1-r1

First problem is that "baselayout-lite" still marked as masked even if
my etc/make.profile/packages contains
*>=sys-apps/baselayout-lite-1.0_pre1

I've added ~arm to baselayout-lite ebuild and get another error:
# xemerge -av baselayout-lite
EMERGING TO /usr/arm-softfloat-linux-gnu

These are the packages that would be merged, in order:

Calculating dependencies -

!!! Problem in 'sys-apps/baselayout-lite' dependencies.
!!! 'USE' exceptions
Traceback (most recent call last):
  File "/usr/bin/emerge", line 4506, in ?
    retval = emerge_main()
  File "/usr/bin/emerge", line 4501, in emerge_main
    myopts, myaction, myfiles, spinner)
  File "/usr/bin/emerge", line 3884, in action_build
    retval, favorites = mydepgraph.select_files(myfiles)
  File "/usr/bin/emerge", line 1103, in select_files
    self.mysd = self.select_dep(myroot, myatom, arg=myarg)
  File "/usr/bin/emerge", line 1413, in select_dep
    myuse=selected_pkg[-1], rev_dep=rev_deps, arg=arg):
  File "/usr/bin/emerge", line 823, in create
    self.pkgsettings[myroot].setcpv(mykey, mydb=portdb)
  File "/usr/lib/portage/pym/portage.py", line 1533, in setcpv
    if defaults != self.configdict["defaults"]["USE"]:
KeyError: 'USE'

The same 'USE' exceptions appears for any ebuild I want to cross-compile.
My make.conf is correct and I have got some packages built with it
(however I had more old portage version then).

-- 
Sincerely,
Vladimir "Farcaller" Pouzanov
http://hackndev.com
-- 
gentoo-embedded@g.o mailing list

Replies

Subject Author
Re: [gentoo-embedded] emerge is broken? Zac Medico <zmedico@g.o>
[gentoo-embedded] Re: emerge is broken? Vladimir Pouzanov <farcaller@×××××.com>